@echo off
@chcp 1251

rem (C) SSoft 2024 z-print@bk.ru
rem        (cut and stack) 
IF NOT EXIST "%1" goto wrongfile
rem echo start>>times.txt
rem time /t>>times.txt 
rem   
set SRC=%1
set COLS=5
set ROWS=5
set /a PGSONSHEET=COLS*ROWS
echo %PGSONSHEET%

set OUT=%SRC:~0,-4%_cut_and_stack.pdf

rem      
rem    ,  - 
setlocal ENABLEDELAYEDEXPANSION
FOR /F "usebackq delims=" %%a IN (`cpdf -info %SRC% ^| find "Pages:"`) DO (set result=%%a)
rem   pages:       (   /a)
set /a pages = %result:~7%

set /a LIST1=1
set /A SHEETCOUNT=%pages% / %PGSONSHEET%
echo   %pages% 
echo  %SHEETCOUNT% 
for /L %%j in (1,1,%SHEETCOUNT%) do (
	for /L %%i in (%%j,%SHEETCOUNT%, %pages%) do (
		set LIST1=!LIST1!,%%i
	)
)
rem       
set LIST1=%LIST1:~2% 

cpdf "%SRC%" -range %LIST1% AND -impose-xy "%COLS% %ROWS%" -o %OUT%
echo .     %OUT%
exit /b 0

:wrongfile

echo       (cut and stack) 
echo Usage: %0 pdfname.pdf

echo no such file %1
echo 
exit /b -1
